Skip to content

Download an export

GET
/api/v1/leads/exports/{id}/csv

Cost: Free — you paid when it was created

Returns the CSV with an X-Delivered-Rows header. 409 EXPORT_NOT_READY until the job completes.

Try it

curl -o result.csv https://app.leadsonar.io/api/v1/leads/exports/4fad85cd-3e37-4797-ab77-07ed02d8f408/csv \
  -H "X-API-Key: $LS_KEY"
id
required
string format: uuid

CSV file

string
Example
First Name,Last Name,Email,Phone,Company,Domain,Job Title,Seniority,Department,Industry,Country,State,City,Company Size,LinkedIn
"Jordan","Reyes","jordan.reyes@example-software.com","+15125550110","Example Software Inc.","example-software.com","Head of Sales","Director","Sales","Software Development","US","TX","Austin","101 to 250","linkedin.com/in/jordanreyes"
"Priya","Natarajan","priya.natarajan@northwind-analytics.com","+15125550110","Northwind Analytics","northwind-analytics.com","Head of Sales","Director","Sales","Software Development","US","TX","Austin","101 to 250","linkedin.com/in/priyanatarajan"

Not finished yet (EXPORT_NOT_READY)

object
error
required

Human-readable error message

string
message

Additional details

string